dns-analytics-gtm-domain-traffic-by-time

The following shows how to generate the dns-analytics-gtm-domain-traffic-by-time report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

This report shows all DNS requests, requests with NXDOMAIN responses, and requests that do not have NXDOMAIN responses for a GTM domain.

This report allows you to configure the aggregation interval for each data record. Available interval values are: MONTH, WEEK, DAY, HOUR, FIVE_MINUTES.

Business object: fpdomain

Data available for: 90 days

Available metrics

MetricDescription
Data metrics
sum_hitsThe number of requests per second.
sum_nxdomainThe number of NXDOMAIN responses per second.
sum_requestsThe number of non-NXDOMAIN responses per second.
Summary metrics
peak_hitsMaximum (peak) DNS hits per second.
peak_nxhitsMaximum (peak) NXDOMAIN responses per second.
total_hitsTotal DNS requests.
total_nxhitsTotal NXDOMAIN responses.
total_percent_​nx_​domain_​responsesNXDOMAIN responses as a percentage of all DNS hits.

POST request

POST /reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3/report-data{?start,end,interval}

Sample: /reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3/report-data?start=2026-03-10T13%3A55%3A00Z&end=2026-03-10T14%3A15%3A00Z&interval=FIVE_MINUTES

For other granularity, you need to adjust start and end dates:

Sample with longer interval: /reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3/report-data?start=2025-11-01&end=2026-03-01&interval=MONTH

Query parameters

ParameterTypeSampleDescription
Required
startString2026-03-10T13:55:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp.
endString2026-03-10T14:15:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp.
intervalEnumerationFIVE_MINUTESThe duration of each data record. Available values: MONTH, WEEK, DAY, HOUR, FIVE_MINUTES.

JSON request members

MemberTypeDescription
objectIdsArraySpecifies the set of fpdomain values you want to report on.
objectIdsEnumerationAs an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required.
metricsArrayThe set of desired metrics. If omitted, the report includes all available metrics.

Request body:

{
    "objectIds": [
        "www.example.com",
        "m.example.com",
        "blog.example.com"
    ],
    "metrics": [
        "peak_hits",
        "peak_nxhits",
        "sum_hits",
        "sum_nxdomain",
        "sum_requests",
        "total_hits",
        "total_nxhits",
        "total_percent_nx_domain_responses"
    ]
}

GET request

GET /reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3/report-data{?start,end,interval,objectIds,allObjectIds,metrics}

Sample: /reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3/report-data?start=2026-03-10T13%3A55%3A00Z&end=2026-03-10T14%3A15%3A00Z&interval=FIVE_MINUTES&objectIds=www.example.com,m.example.com,blog.example.com&metrics=peak_hits%2Cpeak_nxhits

Query parameters

ParameterTypeSampleDescription
Required
startString2026-03-10T13:55:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp.
endString2026-03-10T14:15:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp.
intervalEnumerationFIVE_MINUTESThe duration of each data record. Available values: MONTH, WEEK, DAY, HOUR, FIVE_MINUTES.
Optional
allObjectIdsBooleantrueAs an alternative to objectIds, enabling this generates a report that includes all IDs available for the fpdomain objectType. This parameter is ignored if the request also specifies a set of objectIds.
objectIdsStringwww.example.com,​m.example.com,​blog.example.comAs an alternative to allObjectIds, specifies the set of unique IDs for the fpdomain objectType you want to report on, formatted as a comma-delimited list.
metricsStringpeak_hits,peak_​nxhitsSpecifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request.

JSON response

Status 200 application/json

Response body:

{
    "metadata": {
        "name": "dns-analytics-gtm-domain-traffic-by-time",
        "version": "3",
        "outputType": "FLAT",
        "groupBy": [
            "startdatetime"
        ],
        "interval": "FIVE_MINUTES",
        "start": "2026-03-10T13:55:00Z",
        "end": "2026-03-10T14:15:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 4,
        "filters": [],
        "columns": [
            {
                "name": "groupBy",
                "label": "startdatetime"
            },
            {
                "name": "sum_hits",
                "label": "Hits, per second"
            },
            {
                "name": "sum_nxdomain",
                "label": "Response, per second"
            },
            {
                "name": "sum_requests",
                "label": "Requests, per Second"
            }
        ],
        "objectType": "fpdomain",
        "objectIds": [
            "www.example.com",
            "m.example.com",
            "blog.example.com"
        ]
    },
    "data": [
        {
            "startdatetime": "2026-03-10T13:55:00Z",
            "sum_hits": "1243.293101",
            "sum_nxdomain": "4544.161143",
            "sum_requests": "2849.160375"
        },
        {
            "startdatetime": "2026-03-10T14:00:00Z",
            "sum_hits": "206.959195",
            "sum_nxdomain": "1217.116294",
            "sum_requests": "4040.574486"
        },
        {
            "startdatetime": "2026-03-10T14:05:00Z",
            "sum_hits": "1103.091271",
            "sum_nxdomain": "1220.477169",
            "sum_requests": "3842.198019"
        },
        {
            "startdatetime": "2026-03-10T14:10:00Z",
            "sum_hits": "3073.085956",
            "sum_nxdomain": "1416.880658",
            "sum_requests": "3717.632713"
        }
    ],
    "summaryStatistics": {
        "peak_hits": {
            "value": "241.706647",
            "details": {}
        },
        "peak_nxhits": {
            "value": "2708.500159",
            "details": {}
        },
        "total_hits": {
            "value": "1690",
            "details": {}
        },
        "total_nxhits": {
            "value": "1270",
            "details": {}
        },
        "total_percent_nx_domain_responses": {
            "value": "2023",
            "details": {}
        }
    }
}

Get report details

This sample Get a report type operation gets the same information you need to run the dns-analytics-gtm-domain-traffic-by-time report as provided in this reference documentation, but available dynamically to your API client application.

GET /reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3

Status 200 application/json

Response body:

{
    "name": "dns-analytics-gtm-domain-traffic-by-time",
    "description": "This report shows all DNS requests, requests with NXDOMAIN responses, and requests that do not have NXDOMAIN responses for a GTM domain.",
    "businessObjectName": "fpdomain",
    "version": 3,
    "status": "PUBLISHED",
    "deprecated": false,
    "timeBased": true,
    "supportsPagination": false,
    "outputType": "FLAT",
    "available": true,
    "metrics": [
        {
            "name": "sum_nxdomain",
            "description": "The number of NXDOMAIN responses per second.",
            "label": "Response, per second",
            "unit": "COUNT_PER_SECOND",
            "summaryStatistic": false
        },
        {
            "name": "sum_hits",
            "description": "The number of requests  per second.",
            "label": "Hits, per second",
            "unit": "COUNT_PER_SECOND",
            "summaryStatistic": false
        },
        {
            "name": "sum_requests",
            "description": "The number of non-NXDOMAIN responses per second.",
            "label": "Requests, per Second",
            "unit": "COUNT_PER_SECOND",
            "summaryStatistic": false
        },
        {
            "name": "total_hits",
            "description": "Total DNS requests.",
            "label": "Total DNS Requests",
            "unit": "COUNT",
            "summaryStatistic": true
        },
        {
            "name": "peak_hits",
            "description": "Maximum (peak) DNS hits per second.",
            "label": "Peak Hits per second",
            "unit": "COUNT_PER_SECOND",
            "summaryStatistic": true
        },
        {
            "name": "total_nxhits",
            "description": "Total NXDOMAIN responses.",
            "label": "Total NXDOMAIN Response",
            "unit": "COUNT",
            "summaryStatistic": true
        },
        {
            "name": "peak_nxhits",
            "description": "Maximum (peak) NXDOMAIN responses per second.",
            "label": "Peak NXDOMAIN Response per second",
            "unit": "COUNT_PER_SECOND",
            "summaryStatistic": true
        },
        {
            "name": "total_percent_nx_domain_responses",
            "description": "NXDOMAIN responses as a percentage of all DNS hits.",
            "label": "Peak NXDOMAIN Response per second",
            "unit": "COUNT",
            "summaryStatistic": true
        }
    ],
    "groupOutlyingValues": {
        "enabled": false
    },
    "groupBy": [
        "startdatetime"
    ],
    "intervals": [
        "MONTH",
        "WEEK",
        "DAY",
        "HOUR",
        "FIVE_MINUTES"
    ],
    "dataRetentionDays": 90,
    "links": [
        {
            "rel": "self",
            "href": "/reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3"
        },
        {
            "rel": "versions",
            "href": "/reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions"
        },
        {
            "rel": "all-reports",
            "href": "/reporting-api/v1/reports"
        },
        {
            "rel": "execute-report",
            "href": "/reporting-api/v1/reports/dns-analytics-gtm-domain-traffic-by-time/versions/3/report-data"
        }
    ]
}